import request from '@/utils/request'

// 查询政策信息列表
export function listPolicyInfo(query) {
  return request({
    url: '/info/policyInfo/list',
    method: 'get',
    params: query
  })
}

// 查询政策信息详细
export function getPolicyInfo(policyId) {
  return request({
    url: '/info/policyInfo/' + policyId,
    method: 'get'
  })
}

// 新增政策信息
export function addPolicyInfo(data) {
  return request({
    url: '/info/policyInfo',
    method: 'post',
    data: data
  })
}

// 修改政策信息
export function updatePolicyInfo(data) {
  return request({
    url: '/info/policyInfo',
    method: 'put',
    data: data
  })
}

// 删除政策信息
export function delPolicyInfo(policyId) {
  return request({
    url: '/info/policyInfo/' + policyId,
    method: 'delete'
  })
}

// 导出政策信息
export function exportPolicyInfo(query) {
  return request({
    url: '/info/policyInfo/export',
    method: 'get',
    params: query
  })
}
